/*
 * @Date: 2022-06-10 09:46:42
 * @LastEditors: 陈禹琨 chenyukun@prolog-int.com
 * @LastEditTime: 2023-09-13 10:51:06
 * @FilePath: /eis-3.0-fe-pc/src/views/EIS/project/qingniuEIS/ShelfBasicData/api.js
 * @Description: cyk
 */

import request from '@/utils/request'
import qs from 'qs'
import { QN_BASEURL } from '../serviceSettings'
const baseUrl = QN_BASEURL
export function add(data) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/api/v1/shelvesInfoConfig/addShelves	',
    method: 'post',
    data,
    // params: params
  })
}
//货架详情
export function detail(data) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/api/v1/shelvesInfoConfig/findCargoInformationDetail	',
    method: 'post',
    data,
    // params: params
  })
}

//  货架编辑

export function palletUpdate(data) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/api/v1/shelvesInfoConfig/updateShelves	',
    method: 'post',
    data,
    // params: params
  })
}

// 删除货架

export function deletes(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/api/v1/shelvesInfoConfig/deleteShelves',
    method: 'post',
    data: params,
    // params: params,
  })
}
//设为模板货架
export function setTemplate(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/api/v1/shelvesInfoConfig/setTemplateShelves	',
    method: 'post',
    data: params,
    // params: params,
  })
}
